Creates a new equipment_family object

Request Information

URI Parameters :

None.

Body Parameters :

equipment_family
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

name

Name of the equipment family

string

Required

Max length: 50

description

Description of the equipment family

string

Max length: 4000

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

_parent_id

Parent Equipment Family (Parent / Child) when adding/updating equipment_family

globally unique identifier
_parent_code

Embedded entity "equipment_family" for parent (Parent / Child) using ERP PK when adding/updating equipment_family

string
_parent_equipment_family

Embedded entity "equipment_family" for parent (Parent / Child) when adding/updating equipment_family

equipment_family
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "b8abac5e-31dc-4186-bf04-7a9057f621a7",
  "name": "sample string 2",
  "description": "sample string 3",
  "code": "sample string 4",
  "_parent_id": "22edd01a-27a5-4ae2-89f3-81512923bec8",
  "_parent_code": "sample string 6",
  "sales_organization_id": "16ac743c-8e58-40de-b26f-f5647d63bee1",
  "sales_organization_code": "sample string 8",
  "sales_organization": {
    "id": "444e6a54-7f24-4fe0-8a5c-22ad7c779643",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "f930c316-cc12-4d59-85e1-cd21cfda5387",
    "db_currency_id": "341c1e11-2930-4b46-a09c-38b8ed7582c4",
    "db_language_id": "97271adc-4900-410a-915b-94975e5c197b",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-05-04T17:04:33.5375211+00:00"
  },
  "modified_dateutc": "2026-05-04T17:04:33.5375211+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.